Imports System.Data.SqlClient

Module ConnectionInfo

    Private _serverName As String
    Private _uid As String
    Private _password As String
    Private _currentdb As String
    Private _cn As SqlConnection

    Public Property ServerName()
        Get
            Return _serverName
        End Get
        Set(ByVal Value)
            _serverName = Value
        End Set
    End Property

    Public Property UID()
        Get
            Return _uid
        End Get
        Set(ByVal Value)
            _uid = Value
        End Set
    End Property

    Public Property Password()
        Get
            Return _password
        End Get
        Set(ByVal Value)
            _password = Value
        End Set
    End Property

    Public Property CurrentDB()
        Get
            If _currentdb = "" Then
                Return "master"
            End If
            Return _currentdb
        End Get
        Set(ByVal Value)
            _currentdb = Value
        End Set
    End Property

    Public Property Cn() As SqlConnection
        Get
            Try
                If _cn Is Nothing Then
                    _cn = New SqlConnection
                    _cn.ConnectionString = "Database=" & CurrentDB & ";Server=" _
                            & ServerName & ";UID=" & UID & ";Pwd=" & Password
                    _cn.Open()
                End If
                Return _cn
            Catch ex As Exception
                Throw New Exception(ex.Message.ToString())
            End Try
        End Get
        Set(ByVal Value As SqlConnection)
            _cn = Value
        End Set
    End Property

End Module
